<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Accion extends Model
{
    protected $table = 'accion';
    public $timestamps = false;
    protected $fillable = ['clave_interna', 'clave_externa', 'clave_completa', 'descripcion', 'fk_idIndicador'];
    //protected $with = ['indicador'];

    public function indicador(){
			return $this->belongsTo('App\Indicador', 'fk_idIndicador');
		}

		public function presupuestos(){
			return $this->hasMany('App\Presupuesto', 'accion_id', 'id');
		}
}
